<html>
<head>
<meta HTTP-EQUIV=CONTENT-TYPE CONTENT="text/html; charset=utf-8">
<title>Existing Methods #2</title>
</head>
<body text=#000000 bgcolor=#EAE6E4 link=#0000CC vlink=#000080 alink=#0000CC>
<center>
<a href="text0.html">First page</a> <a href="text5.html">Back</a> <a href="text7.html">Continue</a> <a href="text11.html">Last page</a> <a href="index.html">Overview</a> <a href="img6.html">Graphics</a></center><br>
<h1>Existing methods</h1><p>
<ul><li><h2><b>Recompile everything when an soname changes (the “chasing our tail method”)</b></h2>
<ul><li>lets us use newest upstream libs as they become available
<li>high cost of maintenance (human/computer resources)
<li>reduced testing time due to frequent binary changes
<li>Doesn't help for partial upgrades/3rd party binaries
<li>hell on managing migrations into testing
<li><u>Does</u> <u>not</u> <u>scale</u>.
</ul></ul><br>
<h3>Notes:</h3>
</body>
</html>